%define oname		rest
%define	api		0.7
%define	major		0
%define	libname		%mklibname %{oname} %{api} %{major}
%define gi_libname	%mklibname %{oname}-gir %{api}
%define develname	%mklibname -d %{oname} %{api}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:          rest%{api}
Version:       0.8.1
Release:       %mkrel 7
Summary:       A library for access to RESTful web services

Group:         System/Libraries
License:       LGPLv2
URL:           https://www.gnome.org/
Source0:       https://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
Patch0:        rest-fixdso.patch
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(libsoup-2.4)
BuildRequires: pkgconfig(libxml-2.0)

%description
This library was designed to make it easier to access web services that
claim to be "RESTful". A RESTful service should have urls that represent
remote objects, which methods can then be called on. The majority of services
don't actually adhere to this strict definition. Instead, their RESTful end
point usually has an API that is just simpler to use compared to other types
of APIs they may support (XML-RPC, for instance). It is this kind of API that
this library is attempting to support.

%package -n %{libname}
Summary:	A library for access to RESTful web services
Group:		System/Libraries

%description -n %{libname}
This library was designed to make it easier to access web services that
claim to be "RESTful". A RESTful service should have urls that represent
remote objects, which methods can then be called on. The majority of services
don't actually adhere to this strict definition. Instead, their RESTful end
point usually has an API that is just simpler to use compared to other types
of APIs they may support (XML-RPC, for instance). It is this kind of API that
this library is attempting to support.

%package -n %{gi_libname}
Summary:	GObject introspection interface library for %{oname}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{gi_libname}
GObject introspection interface library for %{oname}.

%package -n %{develname}
Summary:	Development package for %{oname}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{gi_libname} = %{version}-%{release}
Provides:	lib%{oname}%{api}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Files for development with %{oname}.

%prep
%autosetup -p1 -n rest-%{version}

%build
%configure \
	--disable-static \
	--enable-introspection=yes

%make_build

%install
%make_install

#Remove libtool archives.
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc AUTHORS COPYING README
%{_libdir}/librest-%{api}.so.%{major}
%{_libdir}/librest-%{api}.so.%{major}.*
%{_libdir}/librest-extras-%{api}.so.%{major}
%{_libdir}/librest-extras-%{api}.so.%{major}.*

%files -n %{gi_libname}
%{_libdir}/girepository-1.0/Rest-%{api}.typelib
%{_libdir}/girepository-1.0/RestExtras-%{api}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/%{oname}-%{api}/
%{_includedir}/%{oname}-%{api}/
%{_libdir}/pkgconfig/%{oname}-%{api}.pc
%{_libdir}/pkgconfig/%{oname}-extras-%{api}.pc
%{_libdir}/librest-%{api}.so
%{_libdir}/librest-extras-%{api}.so
%{_datadir}/gir-1.0/Rest-%{api}.gir
%{_datadir}/gir-1.0/RestExtras-%{api}.gir


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 0.8.1-7.mga10
+ Revision: 2248588
- Mageia 10 Mass Rebuild

* Sun Mar 16 2025 wally <wally> 0.8.1-6.mga10
+ Revision: 2165008
- rebuild for libxml2 2.13.6

* Sun Sep 18 2022 wally <wally> 0.8.1-5.mga9
+ Revision: 1889711
- fork old api rest as rest0.7

* Fri Mar 18 2022 umeabot <umeabot> 0.8.1-4.mga9
+ Revision: 1798422
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 0.8.1-3.mga8
+ Revision: 1516486
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.8.1-2.mga7
+ Revision: 1300821
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros
+ wally <wally>
- don't regenerate docs at build time

* Tue Oct 17 2017 wally <wally> 0.8.1-1.mga7
+ Revision: 1172418
- tag docs as such
+ ovitters <ovitters>
- new version 0.8.1

* Mon Apr 18 2016 ovitters <ovitters> 0.8.0-1.mga6
+ Revision: 1003440
- new version 0.8.0

* Fri Feb 12 2016 umeabot <umeabot> 0.7.93-3.mga6
+ Revision: 958849
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 wally <wally> 0.7.93-2.mga6
+ Revision: 847815
- add requires for gir pkg to devel pkg

* Mon Jun 22 2015 ovitters <ovitters> 0.7.93-1.mga6
+ Revision: 839690
- new version 0.7.93

* Mon Mar 23 2015 luigiwalser <luigiwalser> 0.7.92-5.mga6
+ Revision: 819108
- add upstream patch to fix CVE-2015-2675

* Wed Oct 15 2014 umeabot <umeabot> 0.7.92-4.mga5
+ Revision: 750743
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 0.7.92-3.mga5
+ Revision: 724955
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.7.92-2.mga5
+ Revision: 688663
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 ovitters <ovitters> 0.7.92-1.mga5
+ Revision: 671416
- new version 0.7.92

* Mon Mar 10 2014 ovitters <ovitters> 0.7.91-1.mga5
+ Revision: 601830
- new version 0.7.91

* Fri Oct 18 2013 umeabot <umeabot> 0.7.90-3.mga4
+ Revision: 518105
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.7.90-2.mga3
+ Revision: 380328
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 14 2012 ovitters <ovitters> 0.7.90-1.mga3
+ Revision: 281269
- new version 0.7.90

* Fri Nov 11 2011 wally <wally> 0.7.12-1.mga2
+ Revision: 166725
- new version 0.7.12
- minor .spec cleanup

* Thu Oct 27 2011 wally <wally> 0.7.11-1.mga2
+ Revision: 158824
- new version 0.7.11

* Tue Jul 05 2011 cjw <cjw> 0.7.10-1.mga2
+ Revision: 118964
- use mkrel
- imported package rest

